import axios from '@/utils/axios'

export default {
  /**
   * 获取用户报告下载列表
   */
  getReportDownloadList(params) {
    return axios.get('/v2/report/download/record/list', { params })
  },
  /**
   * 获取用户生成中的文件数量
   */
  getCurrentGenFileNum() {
    return axios.get('/v2/report/download/record/currentNum')
  },
  /**
   * 重新生成报告文件
   */
  resetReportFile(data) {
    return axios.post('/v1/new/report/resetFile', data)
  },
  /**
   * 删除报告记录
   */
  deleteReportRecord(data) {
    return axios.post('/v2/report/download/record/delete/' + data);
  },
  /**
   * 根据ID获取记录
   */
  getReportDownloadRecord(params) {
    return axios.get('/v2/report/download/record', { params })
  },
  
}
